## org.eclipse.m2m.atl.engine.emfvm.lib
Class Tuple

    java.lang.Object
      org.eclipse.m2m.atl.engine.emfvm.lib.Tuple

All Implemented Interfaces:
  HasFields

    public class Tuple

extends java.lang.Object
implements HasFields

Abstract OCLtype.

Constructor Summary
`Tuple()` Creates an new tuple.
`Tuple(java.util.Map<java.lang.Object,java.lang.Object> map)` Creates an new tuple initialized with the given map.

Method Summary
`boolean` `equals(java.lang.Object o)`
`java.lang.Object` `get(AbstractStackFrame frame, java.lang.Object name)` Gets a value.
`java.util.Map<java.lang.Object,java.lang.Object>` `getMap()`
`int` `hashCode()`
`void` `set(AbstractStackFrame frame, java.lang.Object name, java.lang.Object value)` Sets a value to the object.
`java.lang.String` `toString()`
`void` `unset(AbstractStackFrame frame, java.lang.Object name)` Unsets a value to the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Tuple

    public Tuple()

  Creates an new tuple.

### Tuple

    public Tuple(java.util.Map<java.lang.Object,java.lang.Object> map)

  Creates an new tuple initialized with the given map.

  Parameters:
    `map` - the given map

Method Detail

### set

    public void set(AbstractStackFrame frame,
                    java.lang.Object name,
                    java.lang.Object value)

  Sets a value to the object.

  Specified by:
    `set` in interface `HasFields`
  Parameters:
    `frame` - the frame context
    `name` - the value name
    `value` - the value
  See Also:
    `HasFields.set(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object, java.lang.Object)`

### get

    public java.lang.Object get(AbstractStackFrame frame,
                                java.lang.Object name)

  Gets a value.

  Specified by:
    `get` in interface `HasFields`
  Parameters:
    `frame` - the frame context
    `name` - the value name
  Returns:
    the value
  See Also:
    `HasFields.get(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### unset

    public void unset(AbstractStackFrame frame,
                      java.lang.Object name)

  Unsets a value to the object.

  Specified by:
    `unset` in interface `HasFields`
  Parameters:
    `frame` - the frame context
    `name` - the value name
  See Also:
    `HasFields.unset(org.eclipse.m2m.atl.engine.emfvm.lib.AbstractStackFrame, java.lang.Object)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### getMap

    public java.util.Map<java.lang.Object,java.lang.Object> getMap()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

Copyright 2007 IBM Corporation and others. All Rights Reserved.